Name:		sugar-browse-activity
Version:	208
Release:	%mkrel 1
Summary:	Browse activity for Sugar
Group:		Graphical desktop/Other
License:	GPLv2+
URL:		https://wiki.laptop.org/go/Browse
Source:		https://download.sugarlabs.org/sources/sucrose/fructose/Browse/Browse-%{version}.tar.bz2
Patch2:		0001-more-migration-to-webkit-4.1.patch
BuildArch:		noarch
BuildRequires:	gettext
BuildRequires:	python3-devel
BuildRequires:	sugar-toolkit-gtk3
BuildRequires:	gobject-introspection-devel
Requires:		sugar-toolkit-gtk3
Requires:		glib-networking
Requires:		python3-gobject3
Provides:		sugar-browse = %{version}-%{release}

%description
Browse is a Web browser for Sugar based on WebKit2.

%prep
%setup -q -n Browse-%{version}
%autopatch -p1

%build
%{__python3} ./setup.py build

%install
%{__python3} ./setup.py install --prefix=%{buildroot}%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.WebActivity

%files -f org.laptop.WebActivity.lang
%license COPYING
%doc AUTHORS README* NEWS
%{_datadir}/applications/org.laptop.WebActivity.activity.desktop
%{_datadir}/sugar/activities/Browse.activity/
%{_datadir}/metainfo/org.laptop.WebActivity.appdata.xml


%changelog
* Thu May 30 2024 papoteur <papoteur> 208-1.mga10
+ Revision: 2068754
- new version 208

* Sat Oct 21 2023 papoteur <papoteur> 207-3.mga10
+ Revision: 1999897
- more migration to WebKit 4.1 and to Soup 3.0

* Fri Oct 20 2023 papoteur <papoteur> 207-2.mga10
+ Revision: 1999740
- fix requirement to WebKit2 4.1
- rebuild for webkit2 4.1

* Mon Jan 16 2023 daviddavid <daviddavid> 207-1.mga9
+ Revision: 1933854
- new version: 207

* Sat Dec 03 2022 umeabot <umeabot> 205-3.mga9
+ Revision: 1915516
- Mageia 9 Mass Rebuild

* Fri Nov 13 2020 wally <wally> 205-2.mga8
+ Revision: 1645025
- drop buildroot definition from .desktop files
- drop unneeded files

* Tue Mar 03 2020 zezinho <zezinho> 205-1.mga8
+ Revision: 1553555
- new version
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 wally <wally> 204-1.mga8
+ Revision: 1456363
- new version 204
- switch to python3

* Thu Feb 28 2019 wally <wally> 203-1.mga7
+ Revision: 1370504
- new version 203
- clean requires

* Fri Sep 21 2018 umeabot <umeabot> 201.3-2.mga7
+ Revision: 1291717
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 zezinho <zezinho> 201.3-1.mga7
+ Revision: 1187659
- new version

* Wed Jun 07 2017 akien <akien> 157.2-4.mga6
+ Revision: 1107206
- Add desktop file

* Mon Jan 18 2016 zezinho <zezinho> 157.2-3.mga6
+ Revision: 925330
- new version

* Wed Oct 15 2014 umeabot <umeabot> 156-3.mga5
+ Revision: 739979
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 156-2.mga5
+ Revision: 689584
- Mageia 5 Mass Rebuild

* Wed May 21 2014 zezinho <zezinho> 156-1.mga5
+ Revision: 624794
- new version

* Sat Nov 02 2013 fwang <fwang> 148-4.mga4
+ Revision: 548990
- add requires

* Fri Oct 18 2013 umeabot <umeabot> 148-3.mga4
+ Revision: 519364
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 148-2.mga3
+ Revision: 383599
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 zezinho <zezinho> 148-1.mga3
+ Revision: 326129
- new version

* Wed Nov 21 2012 zezinho <zezinho> 138-2.mga3
+ Revision: 320251
- require glib-networking for ssl

* Wed Nov 21 2012 zezinho <zezinho> 138-1.mga3
+ Revision: 320110
- newversion

* Sat Feb 25 2012 zezinho <zezinho> 131-1.mga2
+ Revision: 214229
- new version
- drop hulahop and use webkitgtk3
- new version

* Sat Dec 17 2011 wally <wally> 129-2.mga2
+ Revision: 182989
- obsolete wrongly imported pkg sugar-browse

* Sat Nov 19 2011 zezinho <zezinho> 129-1.mga2
+ Revision: 169477
- new version
+ ennael <ennael>
- imported package sugar-browse-activity


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 115-2mdv2011.0
+ Revision: 615031
- the mass rebuild of 2010.1 packages

* Sun Apr 04 2010 Aleksey Lim <alsroot@mandriva.org> 115-1mdv2010.1
+ Revision: 531084
- Sucrose 0.88.0 release

* Fri Sep 25 2009 Aleksey Lim <alsroot@mandriva.org> 114-1mdv2010.0
+ Revision: 449000
- Update to 114

* Sat Sep 19 2009 Aleksey Lim <alsroot@mandriva.org> 113-1mdv2010.0
+ Revision: 444538
- Update to 113

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 110-1mdv2010.0
+ Revision: 414973
- Sucrose 0.85.2

* Fri Apr 10 2009 Aleksey Lim <alsroot@mandriva.org> 107-2mdv2009.1
+ Revision: 365746
- SL#456

* Mon Apr 06 2009 Aleksey Lim <alsroot@mandriva.org> 107-1mdv2009.1
+ Revision: 364286
- Sucrose 0.84.2 release

* Sat Mar 21 2009 Aleksey Lim <alsroot@mandriva.org> 105-2mdv2009.1
+ Revision: 359691
- Apply SL#601 patch

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 105-1mdv2009.1
+ Revision: 348315
- Sucrose 0.84.0 release

* Mon Feb 23 2009 Aleksey Lim <alsroot@mandriva.org> 104-1mdv2009.1
+ Revision: 344202
- Sucrose 0.83.6 release

* Tue Jan 20 2009 Aleksey Lim <alsroot@mandriva.org> 103-1mdv2009.1
+ Revision: 331982
- new Sucrose 0.83.4 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 102-1mdv2009.1
+ Revision: 328395
- initial commit

